!> \file module_choix-0.4.f90
!! Ce module permet de choisir quels package on veut utiliser
!<

!> \namespace MODULE_CHOIX
!! Ce module permet de choisir quels package on veut utiliser
!! \author CatRitz
!! \date ...
!! @note Used modules
!! @note   - use lect_topo_heino      
!! @note   - use  climat_heino
!! @note   - USE NOISOSTASIE_MOD ! module pour ne pas avoir d'isostasie
!! @note   - USE DEFORMATION_MOD  
!! @note   - use prop_therm_ice_heino
!! @note   - use sliding_Bindschadler
!! @note   - use dragging_hwatstream
!! @note   - USE EQ_ELLIPTIQUE_MOD
!! @note   - use BMELT_NOR_DEPTH  
!! @note   - use fake_nord
!! @note   - use out_profile 
!! @note   - use out_cptr     
!! @note   - use out_hz      
!! @note   - USE OUTPUT_HEMINORD_MOD
!! @note   - use printtable
!<


MODULE MODULE_CHOIX

!--------------Lecture topo ------------------------
 use lect_topo_heino      ! pour Heino
! use lect_topo_anteis    ! pour l'antarctique 40 km
!use lect_topo_nord40    ! pour l'hemisphere nord 40 km
!use lect_topo_eurasie   ! pour l'eurasie  (toute resolutions)

!--------------Lecture climat ref ------------------
! use lect_clim_act_anteis
! use lect_clim_act_nord40 ! pour l'hemisphere nord et l'eurasie
 use  climat_heino

!--------------Lecture climat forcage---------------

!use CLIMAT_PERTURB_MOD
!USE CLIMAT_FORCAGE_MOD
!USE CLIMAT_SYNTHES_MOD
!USE CLIMAT_PROFIL_MOD
!use CLIMAT_REGIONS_DELTA

!--------------Choix isostasie----------------------
! USE ISOSTASIE_MOD  ! module permettant de calculer la deflexion isostasique
USE NOISOSTASIE_MOD ! module pour ne pas avoir d'isostasie


!--------------Module Physique---------------------
USE DEFORMATION_MOD  ! module concernant les lois de deformation

!--------------Module propritete thermique de la glace
! use  prop_thermiques_ice
use prop_therm_ice_heino
! use sliding_heino    ! loi de glissement heino : mis dans diffusiv : 

! use module sliding_vitbal
use sliding_Bindschadler

!use dragging_vitbil
use dragging_hwatstream

USE EQ_ELLIPTIQUE_MOD! module concernant l'eq. elliptique (pour les shelves)


!--------------Fusion basale------------------------
! USE BMELT_ANT_REGIONS ! pour l'Antarctique avec rgions
! USE BMELT_NOR_REGIONS ! pour le nord avec rgions
use BMELT_NOR_DEPTH   ! pour le nord avec profondeur d'eau
! use fake_heino
! use fake_ant
use fake_nord
!-------------- Outputs-----------------------------
!
use out_profile  !profils
!use out_cptr     ! fichier de reprise 
use out_hz       ! module de sorties snapshot dans un plan horizontal

!-----Suivi temporel
 USE OUTPUT_HEMINORD_MOD
! USE OUTPUT_ANTARCTI_MOD
! use output_heino
!-----debugage...
use printtable


END MODULE MODULE_CHOIX
